// Demo of how to use forms and cgi class.
// See line that says output.startform and
// change the url to match your system!

#include <iostream>
#include "cgiClass.h"

using namespace std;


#define MAXLINE 500

int main(int argc, char** argv) {

  int xpos,ypos;
  cgi output;
  FILE *fp;
  char input[MAXLINE];

    // Initialize the page, turn on error printing
    // and set up the header.
    output.initPage();
    output.turnErrorPrintingOn();
    output.header("My Title for CGI map","http://www.cyclismo.org/~black");


    if(argc==1) {

      // Sample - assume that url to this script is http://www.cyclismo.org/cgi-bin/cgiMap
      output.startAnchor(
	"http://www.cyclismo.org/cgi-bin/cgiMap/~black/cgi-bin/ouija.map");
      output.image("http://www.cyclismo.org/pub/black/gif/ouija.gif",NULL,1);
      output.endAnchor();

    }
    else {

      fp = output.openImageMapFile();
      if(fp!=NULL) {
	output.convertArg2Point(argc,argv,xpos,ypos);
	cout << xpos << " " << ypos << "<br>" << endl;
	output.findMapLocation(fp,input,xpos,ypos);
	cout << "Name: " << input << endl;
	fclose(fp);
      }

    }

    output.endHTML();

}

